{% extends "gc/basepage.html" %}

{% block head %}

    <style>
        .fixed-top.scrolled{background-color:#062c33!important;transition:background-color .2s linear}.fixed-top.scrolled .nav-link{color:#fff!important}@media (min-width:1100px){.font-size{font-size:11px}.tag-font-size{font-size:9px}.title-font-size{font-size:13px}.item-size{min-height:330px}}@media (min-width:768px) and (max-width:1099px){.font-size{font-size:11px}.tag-font-size{font-size:9px}.title-font-size{font-size:13px}.item-size{min-height:370px}}@media (min-width:575px) and (max-width:767px){.font-size{font-size:10px}.tag-font-size{font-size:8px}.title-font-size{font-size:13px}.item-size{min-height:330px}}@media (max-width:574px){.font-size{font-size:9px}.tag-font-size{font-size:7px}.title-font-size{font-size:12px}.item-size{min-height:270px}}@media (max-width:1090px){.margin-div-section-top{padding-top:70px}}@media (min-width:1090px){.margin-div-section-top{padding-top:70px}}.margin-div-section{padding-top:5px}.img-centered{display:block;margin:auto}.item-image-size{max-height:130px}.image-size-frame{min-height:150px}.text-white{color:#fff}.open ul li:hover{color:red}.padding{padding:10px}i{cursor:pointer}#submit-website{cursor:pointer}#more-page{cursor:pointer}#less-page{cursor:pointer}ul li a{cursor:pointer;display:block;height:20px;text-align:center}.margin{margin:3px}.no-text-decoration{text-decoration:none!important;color:#000}.share-tag{position:absolute;right:0;bottom:40px;color:#179cde;width:30px!important;height:30px!important;cursor:pointer;border-radius:100%!important}.div-center-parent{text-align:center}.div-center-child{margin:auto}.paddin-left-right{padding-right:5px;padding-left:5px}.ui-autocomplete{overflow-y:scroll;max-height:200px;width:200px;list-style-type:none}.ui-autocomplete li{background-color:#fff;text-align:right;cursor:pointer;height:30px;padding:5px}.ui-autocomplete li div{color:#000;cursor:pointer;font-size:11px}
    </style>
{% endblock %}

{% block content %}

    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
        <div class="container">

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto pull-right">
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="{% url 'homepage' %}">خانه</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#services">اخبار</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#portfolio">برندها</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#contact">اطلاعات تماس</a>
                    </li>
                </ul>
            </div>

        </div>
    </nav>

    <div id="services" class="margin-div-section-top">

        <div class="container text-center">
            <h2 class="section-heading font-size">اخرین اخبار</h2>
            <hr class="my-4">

            {% for item in news %}
                <div class="col-xs-12 col-sm-6 col-md-4 paddin-left-right">
                    <div class="no-text-decoration margin item-size white-bg">
                        <div class="image-size-frame box-centered padding">
                            <a  href="{{ item.share_link }}">
                                <img class="item-image-size img-fluid d-block mx-auto" src="{{ item.img }}" alt="{{ item.title }}">
                            </a>
                        </div>
                        <div class="div-center-parent">
                            <div class="div-center-child text-center title-font-size">{{ item.title }}</div><br>
                            <div class="div-center-child text-center font-size word-break">{{ item.short_desc }}</div><br>
                        </div>
                        <div class="col-xs-12">
                            {% for tag in item.tags %}
                                <a href="{% url 'mobileitems' %}?brand={{ tag }}" class="tag-font-size has-number btn btn-info">{{ tag }}</a>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            {% endfor %}

            <div class="div-center-parent">
                {% if length >= 21 %}
                    <a id="more-page" type="button" class="btn btn-danger font-size div-center-child text-white">صفحه بعدی</a>
                {% endif %}
                <a id="less-page" type="button" class="btn btn-danger font-size div-center-child text-white">صفحه قبلی</a>
            </div>

        </div>

    </div><br><br><br>

{% endblock %}

{% block jsscript %}
    <script>
        $(function(){$(document).scroll(function(){let e=$(".fixed-top");e.toggleClass("scrolled",$(this).scrollTop()>e.height())})});let lessPage=$("#less-page"),morePage=$("#more-page"),price=$(".price");$(document).ready(function(){let e=window.location.href;-1!==e.indexOf("page")?lessPage.show():-1===e.indexOf("page")&&lessPage.hide(),price.each(function(){addCommas(this),toFaNumber(this)})}),morePage.click(function(){let e=window.location.href;if(-1!==e.indexOf("page")){let i=e.split("page=")[0],t=e.split("page=")[1];e=i+"page="+(t=parseInt(t)+1).toString()}else-1===e.indexOf("page")&&(e+="?page=1");window.location.href=e}),lessPage.click(function(){let e=window.location.href;if(-1!==e.indexOf("page")){let i=e.split("page=")[0],t=e.split("page=")[1];e=i+"page="+(t=parseInt(t)-1).toString(),0===t&&(e=e.split("?page")[0])}window.location.href=e});
    </script>
{% endblock %}
